copact: Adding compat for pci_is_bridge vofed-4.8-1 vofed-4.8-1-rc1 vofed-4.8-1-rc2 vofed-4.8-1-rc3
authorSelvin Xavier <selvin.xavier@broadcom.com>
Mon, 4 Sep 2017 09:26:51 +0000 (02:26 -0700)
committerSelvin Xavier <selvin.xavier@broadcom.com>
Mon, 4 Sep 2017 09:26:51 +0000 (02:26 -0700)
Signed-off-by: Selvin Xavier <selvin.xavier@broadcom.com>
config/rdma.m4

index aaddbef..424de22 100644 (file)
@@ -4417,6 +4417,18 @@ AC_DEFUN([LINUX_CONFIG_COMPAT],
                AC_MSG_RESULT(no)
        ])
 
+       AC_MSG_CHECKING([if has pci_is_bridge])
+       LB_LINUX_TRY_COMPILE([
+       #include <linux/pci.h>
+       ],[
+               return pci_is_bridge(NULL);
+       ],[
+               AC_MSG_RESULT(yes)
+               AC_DEFINE(HAVE_PCI_IS_BRIDGE, 1,
+                       [pci_is_bridge is defined])
+       ],[
+               AC_MSG_RESULT(no)
+       ])
 ])
 #
 # COMPAT_CONFIG_HEADERS